MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000400XdebugUsage problems (Wrong Results)public2008-08-21 12:232010-04-03 15:26
Reporterevolic 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.1.0RC1Fixed in Version 
Summary0000400: Xdebug ignores error_reporting when gets "Warning: POST Content-Length of XXX bytes exceeds the limit of XXX bytes
DescriptionWithout XDebug, error_reporting works fine.
When POST data exceeds the limit, I can disable showing that warning and can do some error handling (process $_FILES array).

There is problem, when I want to use XDebug here.
I cannot disable this warning, because XDebug ignores everything I setted up (e.g. E_ALL & !E_WARNING).
Warning always is sowing up and I cannot for example send some additional headers in HTTP output.

I think this warning is raised by Apache and this is the problem.
I hope you can fix it :)

Best regards,
Tomasz Kuter
TagsNo tags attached.
Operating SystemUbuntu 8.04
PHP Version5.2.4
Attached Files

- Relationships

-  Notes
(0001426)
derick (administrator)
2010-04-03 15:26

Fixed in revision 3245.

- Issue History
Date Modified Username Field Change
2008-08-21 12:23 evolic New Issue
2010-03-20 23:50 derick Target Version => 2.1.0RC1
2010-04-03 15:26 derick Note Added: 0001426
2010-04-03 15:26 derick Status new => closed
2010-04-03 15:26 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker